document.addEventListener 'turbolinks:load', ->
  $ ->
    console.log 'геодата профиля на связи'

    delay = 300

    geodata_link = (request, callback, type) ->
      $.ajax(
        method: 'POST'
        url: "/geodata_#{type}"
        data:
          name: request.term
      ).done (response) ->
        switch response.state
          when 'ok'
            callback response.haystack
          when 'shit'
            console.log response.details[0]
            $().user_feedback("red", response.details[0])

    country_select = (event, ui) ->
      $.ajax(
        method: 'POST'
        url: "/geodata_set_country"
        data:
          country:
            name: ui.item.value
      ).done (response) ->
        switch response.state
          when 'ok'
            $("#js-autocomplete-cities").val(response.city);
            $().user_feedback("blue", 'геоданные учтены')
          when 'shit'
            console.log response.details[0]
            $().user_feedback("red", response.details[0])
          when 'bad'
            console.log response.details[0]
            $().user_feedback("red", response.details[0])

    city_select = (event, ui) ->
      $.ajax(
        method: 'POST'
        url: "/geodata_set_city"
        data:
          city:
            name: ui.item.value
      ).done (response) ->
        switch response.state
          when 'ok'
            console.log 'геоданные учтены'
            # корректировка страны
            $("#js-autocomplete-countries").val(response.country);
            $().user_feedback("blue", 'геоданные учтены')
          when 'shit'
            console.log response.details[0]
            $().user_feedback("red", response.details[0])

    $("#js-autocomplete-countries").autocomplete {source: (request, callback) ->
        geodata_link(request, callback, 'countries')
      delay: delay
      select: country_select
    }

    $("#js-autocomplete-cities").autocomplete {source: (request, callback) ->
        geodata_link(request, callback, 'cities')
      delay: delay
      select: city_select
    }