class PrometeusMailer < ApplicationMailer

  def greetings_email user

    @domain = CONFIG[:domain]
    @title = "Добро пожаловать на #{@domain}"
    @text1 = 'Нажмите на кнопку ниже для завершения регистрации.'
    @text2 = "Если вы не регистрировались на сайте #{@domain}, то оставьте это письмо без внимания."
    @link = account_confirmation_url({access_code: user.user_card.confirm_access_code, id: user.user_card.id})
    @button_text = 'Подтвердить регистрацию'

    mail(to: user.user_card.my_email, subject: @title)

  end

end
