class PhoneAccessCard < ApplicationRecord
  belongs_to :user_card

  # after_destroy :check_active

  before_validation :phone_normalize

  validates :value, presence: true, uniqueness: true, :allow_blank => false
  validates :value, :length => {:minimum => 10, :message => 'шорты'}

  def check_active
    self.user_card.set_active_card
  end

  def phone_normalize
    self.value = self.value.to_s.phone_cutter unless self.value.nil?
  end

end