#!/usr/bin/env bash
# Экспорт Procfile
cd /home/rails/cap_application/current
foreman export systemd /etc/systemd/system --user=root --app=cap_application
# Замена пути
files=(/etc/systemd/system/cap_application-web@.service /etc/systemd/system/cap_application-worker@.service /etc/systemd/system/cap_application-redis@.service)

for file in ${files[@]}
do
    if [ -e ${file} ]
    then
        sed -i "s/releases.*$/current/g" ${file}
        echo ${file}
    fi
done

unset files

systemctl enable cap_application.target