class CreateCities < ActiveRecord::Migration[5.1]
  def change
    create_table :cities do |t|
      t.string :name, limit: 64
      t.string :timezone, limit: 32
      t.belongs_to :country, index: true, null: false, foreign_key: true
    end

    add_index :cities, :name, name: :cities_name, type: :fulltext

  end
end