module SmsLib

  def sms_new_bee(user, password)
    message = "пароль на #{CONFIG[:domain]} #{password}"
    send_sms user.phone, message
  end

  def sms_password_reset(user, new_password)
    message = "новый пароль на #{CONFIG[:domain]} #{new_password}"
    send_sms user.phone, message
  end

  def sms_phone_verify_code(phone, code)
    message = "skillhunt код подтверждения - #{code}"
    send_sms phone, message

    session[:sms_lock] = Time.now + 59.seconds
  end

  private

  def send_sms(recepient_10dgt, message)
    require 'russland_sms'

    message.to_s.sms recepient_10dgt

    # p "message #{message} send2 #{recepient_10dgt}"
  end

end