class ResponseController < ApplicationController

  before_action :set_response_env

  private

  def set_response_env
    require 'response'

    @response = Response.new
  end

  def send_response
    render json: @response.get
  end

end