class DelayedJob < ApplicationRecord
  after_update :telegram_me

  private

  def telegram_me

    if saved_change_to_attribute?(:last_error)
      require 'telegram'

      telegram = Telegram.new

      telegram.sendSticker :pepe_depression, :tech
      message = "Хьюстон ! У нас проблемы в Delayed Job::#{self.queue} #{self.last_error}"
      telegram.sendMessage message, :tech
    end

  end

end