module DigitalHeroesStartkit

  Gem.loaded_specs["digital_heroes_startkit"].dependencies.each do |spec|
    begin
      require spec.name unless /capistrano/ =~ spec.name
    rescue LoadError => error
    end
  end

  require 'phone_cutter'

  class Engine < ::Rails::Engine
    # app assets
    initializer "digital_heroes_startkit.assets.precompile" do |app|
      app.config.assets.precompile += %w( avatar.coffee )
      app.config.assets.precompile += %w( profile.coffee )
      app.config.assets.precompile += %w( registration.coffee )
      app.config.assets.precompile += %w( reg_fields_checkup.coffee )
      app.config.assets.precompile += %w( authorization.coffee )
      app.config.assets.precompile += %w( resurrection.coffee )
      app.config.assets.precompile += %w( profile_geodata.coffee )
      app.config.assets.precompile += %w( datepicker.js )
    end
  end
end
