class CreateOauthAccessCards < ActiveRecord::Migration[5.1]
  def change
    create_table :oauth_access_cards do |t|
      t.belongs_to :user_card, index: true, null: false, foreign_key: true

      t.string :photourl

      t.boolean :active

      t.string :oauth_name, null: true, index: true
      t.string :oauth_uid, null: true, index: true
      t.string :access_token, null: true
      t.datetime :token_expired, null: true

      t.timestamps
    end

  end
end