class CreateCountries < ActiveRecord::Migration[5.1]
  def change
    create_table :countries do |t|
      t.string :iso_code, index: true, null: false, limit: 2
      t.string :name, limit: 64
      t.boolean :eu
    end

    add_index :countries, :name, name: :countries_name, type: :fulltext

  end
end