class CreateLogErrors < ActiveRecord::Migration[5.1]
  def change
    create_table :log_errors do |t|
      t.belongs_to :log_error_type, index: true, null: false, foreign_key: true

      t.datetime :date
      t.text :value

      t.timestamps
    end
  end
end