class Telegram

  require 'uri'
  require 'net/http'

  def sendMessage(message, channel)

    uri = URI "#{CONFIG[:telegram][:bot_path]}#{CONFIG[:telegram][:bot_token]}/sendMessage"
    params = {
        chat_id: CONFIG[:telegram][:chat_ids][channel],
        text: message
    }
    uri.query = URI.encode_www_form params

    res = Net::HTTP.get_response(uri)

  end

  def sendSticker(sticker, channel)

    uri = URI "#{CONFIG[:telegram][:bot_path]}#{CONFIG[:telegram][:bot_token]}/sendSticker"

    params = {
        chat_id: CONFIG[:telegram][:chat_ids][channel],
        sticker: CONFIG[:telegram][:stickers][sticker]
    }
    uri.query = URI.encode_www_form params

    res = Net::HTTP.get_response(uri)

  end

end